Command Palette

Search for a command to run...

Batch API

Execute multiple API calls in a single request for improved performance

POST
/fineract-provider/api/v1/batches

Execute batch request

Executes multiple API calls in a single HTTP request. Supports sequential and parallel execution with dependency resolution.

Request Bodyrequired

Batch request containing multiple API calls

Returns

200Batch response with results for each request

Request

curl
curl --request POST \
  --url "https://your-fineract-instance.com/fineract-provider/api/v1/batches" \
  --header "Authorization: Basic {credentials}" \
  --header "Fineract-Platform-TenantId: default" \
  --header "Content-Type: application/json" \
  --data '{}'

Response

json
{
  "officeId": 1,
  "resourceId": 1,
  "changes": {}
}

Was this page helpful?